export const routes = [
    { path: '/login', component: () => import("../views/Login.vue")},
    { path: '/index',
        component: () => import("../views/Layout/Index.vue"),
        children: [
            {
                path: '/',
                name:'首页',
                component: () => import("../views/Home.vue"),
            },
            {
                path: '/header',
                component: () => import("../views/Layout/Header.vue"),
            },
            {
                path: '/aside',
                component: () => import("../views/Layout/Aside.vue"),
            },

            {
                path: '/sort',
                component: () => import("../views/sort.vue"),
            },
            {
                path: '/setting',
                name:'系统管理',
                component: () => import("../views/Setting.vue"),
            },

             {
                path: '/merchant',
                 name:'商家管理',
                component: () => import("../views/UserList/merchant.vue"),
            },
            {
                path: '/rider',
                name:'跑腿管理',
                component: () => import("../views/UserList/Rider.vue"),
            },
            {
                path: '/user',
                name:'学生管理',
                component: () => import("../views/UserList/user.vue"),
            },
            {
                path: '/order',
                name:'订单管理',
                component: () => import("../views/Order.vue"),
            },
            {
                path: '/talk',
                component: () => import("../views/Talk.vue"),
            },
            {
                path: '/statistics',
                component: () => import("../views/Statistics.vue"),
            },
            {
                path: '/center',
                name:'个人中心',
                component: () => import("../views/Center.vue"),
            },
            {
                path: '/evaluateAnalysis',
                component: () => import("../views/analysis/evaluate.vue"),
            },
            {
                path: '/behaviorAnalysis',
                component: () => import("../views/analysis/Behavior.vue"),
            },
            {
                path: '/orderAnalysis',
                component: () => import("../views/analysis/Order.vue"),
            },
            {
                path: '/pointsAnalysis',
                component: () => import("../views/analysis/points.vue"),
            },
            {
                path: '/postManage',
                name:'帖子管理',
                component: () => import("../views/forum/PostManage.vue"),
            },
            {
                path: '/notification',
                name:'通知与公告',
                component: () => import("../views/forum/Notification.vue"),
            },
        ],
    },
]

